Getstores | Payments API
curl --request GET \
--url https://api.atoa.me/api/payments/stores \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.atoa.me/api/payments/stores"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atoa.me/api/payments/stores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 0,
"size": 20,
"data": [
{
"id": "549000a4-eee4-4b7d-bc88-c529a92544cd",
"locationName": "cambridge",
"addressLine1": "UNIT 3 BOLNEY GRANGE INDUSTRIAL PK ",
"addressLine2": "49 THE MARTLETS",
"addressPostalCode": "PO16 7GZ",
"cityOrTown": "England",
"primary": "true",
"enabled": "true",
"images": "[image-url]"
}
],
"totalCount": 1
}
{
"name": "BAD_REQUEST",
"message": "merchant not found",
"status": 400,
"errors": "[]"
}
{
"name": "UNAUTHORIZED",
"message": "Unauthorized",
"status": 401,
"errors": "[]"
}
{
"name": "RESOURCE NOT FOUND",
"message": "Resource not found",
"status": 404,
"errors": "[]"
}
Payments
Getstores | Payments API
Retrieve stores via the Atoa Payments API, request parameters, response schema and code samples in cURL, Python, JavaScript, PHP, Go and Java.
GET
/
api
/
payments
/
stores
Getstores | Payments API
If your business has more than one store location and you want to manage staff and payments separately for each store, make sure to pass the correct store ID in the payment request.
If the
When you sign up with Atoa, a default (primary) store is automatically
created for your business. You can create or disable additional store
locations from the Atoa Dashboard or Mobile app
storeId is missing, incorrect, or refers to a disabled store the
payment request will be routed to your default (primary) store.
Authorization
Bearer<token>
Response
number
Current page number
number
Number of objects per page.
object
Array of objects
Show properties
Show properties
number
default:"0"
Total number of stores
{
"page": 0,
"size": 20,
"data": [
{
"id": "549000a4-eee4-4b7d-bc88-c529a92544cd",
"locationName": "cambridge",
"addressLine1": "UNIT 3 BOLNEY GRANGE INDUSTRIAL PK ",
"addressLine2": "49 THE MARTLETS",
"addressPostalCode": "PO16 7GZ",
"cityOrTown": "England",
"primary": "true",
"enabled": "true",
"images": "[image-url]"
}
],
"totalCount": 1
}
{
"name": "BAD_REQUEST",
"message": "merchant not found",
"status": 400,
"errors": "[]"
}
{
"name": "UNAUTHORIZED",
"message": "Unauthorized",
"status": 401,
"errors": "[]"
}
{
"name": "RESOURCE NOT FOUND",
"message": "Resource not found",
"status": 404,
"errors": "[]"
}
⌘I